;----------------------------------------------------------------------------
;    MODULE NAME:   bigsis.MM
;
;----------------------------------------------------------------------------

;--- Load MAKEMSI (via wrapper) ---------------------------------------------
#define? COMPANY_MSINAME_SUFFIX.D       ;;"DENNIS.MMH" specified "(TEST)" - will affect "TWEEK.MM" - so remove for this script only
#include "ME.MMH"


;--- Create INSTALLDIR ------------------------------------------------------
<$DirectoryTree Key="INSTALLDIR" Dir="c:\program files\BigSister" CHANGE="\" PrimaryFolder="Y">

<$Registry HKEY="LOCAL_MACHINE" MsiFormatted="VALUE" Key="SOFTWARE\GraeffComm\BigSis" Name="RootDir" Value="[INSTALLDIR]">

;--- Add the files (components generated) -----------------------------------
<$Files "software-tree\*" SubDir="Tree" DestDir="INSTALLDIR">

;--- Password dialog ----------------------------------------------------
<$Dialog "Register Windows Service:" INSERT="LicenseAgreementDlg" Dialog="RegisterService">

   #data 'RadioButton_SERVICE_OWNER'
         ;--- All buttons on same dialog line (not over 3) ------------------
         'LocalSystem'   'LocalSystem (no Password required)'               ''  'Restricted access to network resources'
         '.\Administrator'    'Local Administrator (enter correct Password below)'       ''  'Unrestricted access on the local system'
   #data

  <$DialogEntry Property="SERVICE_OWNER" Label="Run as:" Control="RB">
  <$DialogEntry Property="SERVICE_OWNER_PASSWD" Label="&Password:" Password="Y">
  <$DialogEntry Property="TEXTLINE0" LabelWidth="330" Label=" " Control="Text">
  <$DialogEntry Property="TEXTLINE1" LabelWidth="330" Label="Important Note (Group Policy):" Control="Text">
  <$DialogEntry Property="TEXTLINE2" LabelWidth="330" Label="When not running as LocalSystem, the Account must be enabled to log on as service" Control="Text">
<$/Dialog> 

<$Property "SERVICE_OWNER" VALUE=".\Administrator">
<$Property "SERVICE_OWNER_PASSWD" VALUE="xxxxxxxx">
<$Property "TEXTLINE0" VALUE="text">
<$Property "TEXTLINE1" VALUE="text">
<$Property "TEXTLINE2" VALUE="text">

;--- Register service BigSister ---------------------------------------------
<$Component "BigSister" Create="Y" Directory_="INSTALLDIR">
   ;--- The service EXE MUST be the keypath of the component ----------------
   <$Files ".\software-tree\bin\uxmon.exe" KeyFile="*">

   ;--- Create the service (service EXE is "KeyPath" of component) ----------
   #(
       <$ServiceInstall
                  Name="BigSister"
           DisplayName="Big Sister Agent"
           Description="Network and Service Monitoring Agent"
               Process="Own"
              UserName="[SERVICE_OWNER]"
              Password="[SERVICE_OWNER_PASSWD]"
       >
   #)

   ;--- Control the service -------------------------------------------------
   <$ServiceControl Name="BigSister" AtInstall="start stop" AtUninstall="stop delete">
<$/Component>
